| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Slots | Protected Member Functions

# Tp::AbstractInterface Class Reference

`#include </home/andrunko/work/telepathy/telepathy-qt4/TelepathyQt4/abstract-interface.h>`

List of all members.

## Public Member Functions

- virtual ~AbstractInterface ()
- bool isValid () const
- QString invalidationReason () const
- QString invalidationMessage () const

## Protected Slots

- virtual void invalidate (Tp::DBusProxy *proxy, const QString &error, const QString &message)

## Protected Member Functions

- AbstractInterface (DBusProxy *proxy, const char *interface)
- AbstractInterface (const QString &busName, const QString &path, const char *interface, const QDBusConnection &connection, QObject *parent)
- PendingVariant * internalRequestProperty (const QString &name) const
- PendingOperation * internalSetProperty (const QString &name, const QVariant &newValue)
- PendingVariantMap * internalRequestAllProperties () const

## Constructor & Destructor Documentation

Tp::AbstractInterface::~AbstractInterface | ( |  | ) | `[virtual]`

Tp::AbstractInterface::AbstractInterface | ( | DBusProxy * | proxy,
|  | const char * | interface |
| ) |  |  | `[protected]`

Tp::AbstractInterface::AbstractInterface | ( | const QString & | busName,
|  | const QString & | path,
|  | const char * | interface,
|  | const QDBusConnection & | connection,
|  | QObject * | parent |
| ) |  |  | `[protected]`

## Member Function Documentation

bool Tp::AbstractInterface::isValid | ( |  | ) | const

QString Tp::AbstractInterface::invalidationReason | ( |  | ) | const

QString Tp::AbstractInterface::invalidationMessage | ( |  | ) | const

void Tp::AbstractInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message |
| ) |  |  | `[protected, virtual, slot]`

PendingVariant * Tp::AbstractInterface::internalRequestProperty | ( | const QString & | name | ) | const`[protected]`

PendingOperation * Tp::AbstractInterface::internalSetProperty | ( | const QString & | name,
|  | const QVariant & | newValue |
| ) |  |  | `[protected]`

PendingVariantMap * Tp::AbstractInterface::internalRequestAllProperties | ( |  | ) | const`[protected]`